Subject: Re: Which 2.6 kernel for MPC5200

From: Domen Puncer <[email-masked]>
Date: Wed, 12 Sep 2007 19:15:20 +0200

On 12/09/07 12:16 -0400, Jon Smirl wrote:
> On 9/12/07, Grant Likely <[email-masked]> wrote:
> > On 9/12/07, Jon Smirl <[email-masked]> wrote:
> > > On 9/12/07, Robert Schwebel <[email-masked]> wrote:
> > > > We have the OSELAS.BSP patch stack for the PCM030 working ontop of
> > > > Linus' git. It still uses an older version of the Bestcom patches, so if
> > > > you do some work in that area, please keep me informed about your
> > > > progress.
> > >
> > > What is the best way to proceed? I need to be on current git since we
> > > are integrating a wireless driver that is tracking current git and the
> > > mac80211 work.
> > >
> > > I have Phytec (pcm030) and Efika hardware but I don't have a 5200lite.
> > > Our prototype hardware uses the pcm030 module on a custom baseboard.
> > >
> > > The best thing for me would be to get a FEC driver merged. That is the
> > > largest piece of code  that is floating around. Getting that merged
> > > would give me a stable base to build future patches on.
> > >
> > > I'd also like to get support for the pcm030 (minus real-time) merged.
> > > That isn't a lot of code once FEC is in the kernel.
> > >
> > > Domen has posted this driver "[RFC PATCH v0.1] net driver: mpc52xx
> > > fec". I can work on breaking that up, but I don't have a 5200lite so I
> > > will have to port to pcm030. I don't want to start on this if someone
> > > else is already doing it.
> >
> > Sylvain's bestcomm patches need be cleaned up and resubmitted before
> > the next merge window opens.  AFAIK, the code is pretty much ready,
> > and all the comments have been addressed.  All that is required is the
> > final push to tidy the patchset and post to the list one more time.
> > Sylvain said that he was going to get this done last weekend, but I
> > haven't heard back from him yet.
> >
> > Sylvain, if you need help, please let me know.  I'll happily take on
> > the last bit of tidy work if that's what is needed to be finished
> > before the merge window.  (And it needs to be ready *before*, not
> > during if I'm judging the prevailing winds correctly).
> 
> Is a version of this patch set that has been rebased to current git
> available? If I have a starting point I can begin working on the
> pcm030 support. pcm030 already works, it is just out of tree.

I think these patches are "latest":
http://www.246tnt.com/mpc52xx/dev_full/
Applying them to -git should not be a problem, I don't remember anything
tricky, but if you have problems, I can send you patches agains mainline.

BTW. I posted FEC patch v2, which will hopefully be merged.

	Domen

> 
> 
> >
> > Cheers,
> > g.
> > >
> > > --
> > > Jon Smirl
> > > [email-masked]
> > >
> >
> >
> > --
> > Grant Likely, B.Sc., P.Eng.
> > Secret Lab Technologies Ltd.
> > [email-masked]
> > (403) 399-0195
> >
> 
> 
> -- 
> Jon Smirl
> [email-masked]